# eric6.Tasks.Task

Module implementing a class to store task data.

### Global Attributes

None

### Classes

Task | Class implementing the task data structure.

### Functions

None

## Task

Class implementing the task data structure.

### Derived from

QTreeWidgetItem

### Class Attributes

TypeFixme
TypeNone
TypeNote
TypeTodo
TypeWarning

### Class Methods

None

### Methods

Task | Constructor
colorizeTask | Public slot to set the colors of the task item.
getFilename | Public method to retrieve the tasks filename.
getLineno | Public method to retrieve the tasks linenumber.
isCompleted | Public slot to return the completion status.
isProjectFileTask | Public slot to get an indication, if this task is related to a project file.
isProjectTask | Public slot to return the project relation status.
setCompleted | Public slot to update the completed flag.
setDescription | Public slot to update the description field.
setPriority | Public slot to update the priority.
setProjectTask | Public method to set the project relation flag.
setSummary | Public slot to update the description.

### Static Methods

None

#### Task (Constructor)

Task(summary, priority=1, filename="", lineno=0, completed=False, _time=0, isProjectTask=False, taskType=TypeTodo, project=None, description="")

Constructor

summary
  summary text of the task (string)
priority
  priority of the task (0=high, 1=normal, 2=low)
filename
  filename containing the task (string)
lineno
  line number containing the task (integer)
completed
  flag indicating completion status (boolean)
_time
  creation time of the task (float, if 0 use current time)
isProjectTask
  flag indicating a task related to the current project (boolean)
taskType
  type of the task (one of TypeFixme, TypeTodo, TypeWarning, TypeNote)
project
  reference to the project object (Project)
description
  explanatory text of the task (string)

#### Task.colorizeTask

colorizeTask()

Public slot to set the colors of the task item.

#### Task.getFilename

getFilename()

Public method to retrieve the tasks filename.

Returns:
  filename (string)

#### Task.getLineno

getLineno()

Public method to retrieve the tasks linenumber.

Returns:
  linenumber (integer)

#### Task.isCompleted

isCompleted()

Public slot to return the completion status.

Returns:
  flag indicating the completion status (boolean)

#### Task.isProjectFileTask

isProjectFileTask()

Public slot to get an indication, if this task is related to a project file.

Returns:
  flag indicating a project file task (boolean)

#### Task.isProjectTask

isProjectTask()

Public slot to return the project relation status.

Returns:
  flag indicating the project relation status (boolean)

#### Task.setCompleted

setCompleted(completed)

Public slot to update the completed flag.

completed
  flag indicating completion status (boolean)

#### Task.setDescription

setDescription(description)

Public slot to update the description field.

description
  descriptive text of the task (string)

#### Task.setPriority

setPriority(priority)

Public slot to update the priority.

priority
  priority of the task (0=high, 1=normal, 2=low)

#### Task.setProjectTask

setProjectTask(pt)

Public method to set the project relation flag.

pt
  flag indicating a project task (boolean)

#### Task.setSummary

setSummary(summary)

Public slot to update the description.

summary
  summary text of the task (string)

Up